Potential issue in running B&W software in Creo 7.0.4.0 and 8.0.1.0

Potential issue in running B&W software in Creo 7.0.4.0 and 8.0.1.0

Applies To

  • Creo Parametric versions from 7.0.4.0 and 8.0.1.0 onwards.
  • AFX, IFX, SMART products and many other customer-specific applications.

Description

  • A new checkbox Legacy Toolkit Application Runtime is available in the Creo Parametric installation and activated by default.
  • Installing Creo Parametric without the Legacy Toolkit Application Runtime option causes additional applications that were created prior to Creo Parametric 7.0.4.0 to fail to start.
  • If it is necessary to load applications compiled prior to Creo 7.0.4.0, the DLLs must also be installed. Disabling checkbox Legacy Toolkit Application Runtime during the Creo Parametric installation will cause additional applications to fail to start.

Creo Parametric Installer - Checkbox Legacy Toolkit Application Runtime

Cause

For an enhanced security purpose, in Creo Parametric 7.0.4.0, 8.0.1.0 and later, the DLLs ucore46.dll and udata46.dll are not installed by default in:
<creo_loadpoint>\Common Files\<Plattform>\lib
<creo_loadpoint>\Common Files\<Plattform>\obj

Effects

As this was a last minute change from PTC we at B&W had no chance to update our software to the latest libraries on time.

For Creo versions 7.0.5.0 and 8.0.2.0 and higher we will support the new libraries and you may uncheck uncheck option Legacy Toolkit Application Runtime during the installation. More details on supported versions you will find in the compatibility matrix soon.

Additonal Informationen